package lt.bit;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import lt.bit.dao.CountryDAO;

import java.awt.GridLayout;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

public class Statistika extends JDialog {

	private final JPanel contentPanel = new JPanel();


	/**
	 * Create the dialog.
	 */
	public Statistika(PagrindinisLangas parent) {
		super(parent, "Statistika", JDialog.ModalityType.DOCUMENT_MODAL);
		setBounds(100, 100, 450, 300);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(new GridLayout(3, 2, 10, 0));
		
		CountryDAO countryDAO=new CountryDAO();
		Double[] lifeExp=countryDAO.getLifeExStatistics();
		
		{
			JLabel lblNewLabel_1 = new JLabel("Minimali gyvenimo trukmė:");
			lblNewLabel_1.setHorizontalAlignment(SwingConstants.RIGHT);
			contentPanel.add(lblNewLabel_1);
		}
		{
			JLabel lbMinLifeEx = new JLabel(lifeExp[0].toString());
			contentPanel.add(lbMinLifeEx);
		}
		{
			JLabel lblNewLabel_3 = new JLabel("Maksimali gyvenimo trukmė:");
			lblNewLabel_3.setHorizontalAlignment(SwingConstants.RIGHT);
			contentPanel.add(lblNewLabel_3);
		}
		{
			JLabel lbMaxLifeEx = new JLabel(lifeExp[1].toString());
			contentPanel.add(lbMaxLifeEx);
		}
		{
			JLabel lblNewLabel_4 = new JLabel("Vidutiniška gyvenimo trukmė:");
			lblNewLabel_4.setHorizontalAlignment(SwingConstants.RIGHT);
			contentPanel.add(lblNewLabel_4);
		}
		{
			JLabel lblAvgLabel = new JLabel(lifeExp[2].toString());
			contentPanel.add(lblAvgLabel);
		}
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
	}

}
